const path = require("path")
 const webpack = require("webpack")
 const uglify = require("uglifyjs-webpack-plugin") 
 const VueLoaderPlugin = require('vue-loader/lib/plugin')
 module.exports = {
  mode: 'production',
  devtool: 'source-map',
  entry: "./src/index.js",//入口文件，src目录下的index.js文件，
  output: {
    path: path.resolve(__dirname, './dist'),//输出路径，就是新建的dist目录，
    publicPath: '/dist/',
    filename: 'vue-pdf-parser.js',
    libraryTarget: 'umd',
    umdNamedDefine: true
  },
  resolve: {
    alias: {
      'node_modules': path.resolve(__dirname, 'node_modules')
    }
  },
  module: {
    rules: [{
            test: /\.vue$/,
            loader: 'vue-loader'
        },
        {
            test: /\.less$/,
            use: [
                { loader: "style-loader" },
                { loader: "css-loader" },
                { loader: "less-loader" }
            ]
        },
        {
          test: /\.css$/,
            use: [
            'style-loader',
            'css-loader'
          ]
        },
        {
            test: /\.js$/,
            exclude: /node_modules|vue\/dist|vue-router\/|vue-loader\/|vue-hot-reload-api\//,
            loader: 'babel-loader'
        },
        {
            test: /\.(png|jpg|gif|ttf|svg|woff|eot)$/,
            loader: 'url-loader',
            options: {
                limit: 30000,
                name: '[name].[ext]?[hash]'
            }
        }
    ]
  },
  plugins: [
      new webpack.DefinePlugin({
          "process.env": {
              NODE_ENV: JSON.stringify("production")
          }
      }),
      new VueLoaderPlugin(),
      new uglify({
        sourceMap: false
      })
  ]
}